# .gitlab-ci.yml

image: python:3.9

stages:
  - test
  - deploy

variables:
  # Set up the Python environment
  PYTHONPATH: "$PWD"
  TEST_REPORT: "test-report.xml"

test:
  stage: test
  script:
    - python -m pip install -r requirements.txt
    - python -m pytest
    # You can access secrets using predefined environment variables:
    # - $SECRET_API_KEY
  artifacts:
    paths:
      - test_results/
  only:
    - branches  # Define when to run this job (e.g., only on the master branch)

deploy:
  stage: deploy
  script:
    - echo "Deploying the project to AWS Elastic Beanstalk..."
    - chmod +x sample.sh 
    - ./sample.sh $SECRET_API_KEY
    # - pip install awsebcli --upgrade  # Install or upgrade AWS Elastic Beanstalk CLI
    # - aws configure set aws_access_key_id $AWS_ACCESS_KEY_ID
    # - aws configure set aws_secret_access_key $AWS_SECRET_ACCESS_KEY
    # - aws configure set default.region $AWS_REGION
    # - eb init -p python-3.8 my-eb-app  # Initialize Elastic Beanstalk app (change to your app name)
    # - eb deploy my-eb-env
